> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-linux-client-guide/parallels-client-command-line-interface/device-options.md).

# Device Options

-P: redirect printer(s) (this flag can be repeated), can be

"printcap" to use printers from '/etc/printcap'

use this option if printcap was configured to contain driver name as printer comment:

lp0|drivername:rm=clientname:rp=lp0:

"printername" to use default printer driver

"printername=drivername" to specify driver name

-S: redirect sound, can be

"off" to disable sound (default)

"local"= quality to bring it to the client with:

"normal" for normal quality

"good" for good quality (default)

"verygood" for very good quality

"remote" to leave it on the server

-D: redirect drive(s) (this flag can be repeated), can be

"remotename=localpath"

-O \[option]: redirect serial ports (this flag can be repeated with option)

"off" to disable port redirection (default)

"auto" for COM1=/dev/ttyS0, COM2=/dev/ttyS1, LPT1=/dev/lp0

or option to override local device path: COM1=/dev/debugtty

-C: redirect smart card reader; pcscd smart card manager should be installed in order to use this feature.

-U \[options]: redirect URI. options are comma separated list of:

"off" disable URI redirection (default).

"url" redirect URL (http: and https:).

"mailto" redirect Mail (mailto:).

Use "url,mailto" to redirect both URL and Mail.

-k \[command]: execute special command in active session, where command is one of:

"logoff" gracefully log off a published application session.

"disconnect" gracefully disconnect a session.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-linux-client-guide/parallels-client-command-line-interface/device-options.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
